/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef LIBCRASH_SERVICE_H
#define LIBCRASH_SERVICE_H
#include <stdbool.h>
#include <sys/types.h>

/**
 * @brief Sends a request to the crash-service to create livedump report of specific process.
 * @param pid PID of process for which the report should be created.
 * @param dump_reason the reason that should be included in the raport.
 * @param report_path pointer to the buffer in which will be saved the report path.
 * @param report_path_len lenght of buffer for the report path.
 * @return true on success and false on error.
 */
extern bool livedump_pid(pid_t pid, const char *dump_reason, char *report_path, size_t report_path_len);
#endif /* LIBCRASH_SERVICE_H */
